# Invoke-RASADIntegrationSettings.md

## NAME

Invoke-RASADIntegrationSettings

## SYNOPSIS

Invoke an AD integration settings command.

## SYNTAX

\*\*Invoke-RASADIntegrationSettings -[Validate](#validate-string) *(SwitchParameter)* \[[CertificateAuthority](#certificateauthority-string) *(string)*] \[[EnrollmentAgentPassword](#enrollmentagentpassword-string) *(SecureString)*] \[[EnrollmentAgentUsername](#enrollmentagentusername-string) *(string)*] \[[EnrollmentServerId](#enrollmentserverid-string) *(uint)*] \[[NLAPassword](#nlapassword-string) *(SecureString)*] \[[NLAUsername](#nlausername-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Invoke an AD integration settings command using the specified parameters and their values.

## PARAMETERS

## Validate (SwitchParameter)

Specifies to validate the AD integration settings.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnrollmentServerId (uint)

The ID of the Enrollment Agent that will validate AD integration settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to validate the specified AD integration settings.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## CertificateAuthority (string)

Certificate authority

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnrollmentAgentUsername (string)

Username of the enrollment agent

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnrollmentAgentPassword (SecureString)

Password of the account specified in the EnrollmentAgentUsername parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NLAUsername (string)

Principal name in UPN format used to initialize the RDP session.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NLAPassword (SecureString)

Password of the account specified in the NLAUsername parameter.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[ADIntegrationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adintegrationsettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASADIntegrationSettings -Validate

Validate the AD integration settings for the current site.

## RELATED LINKS

* [Get-RASADIntegrationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadintegrationsettings.md)
* [Set-RASADIntegrationSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadintegrationsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasadintegrationsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
